SRS Integration Partner Services
HomeAPIs
HomeAPIs
  1. Products
  • Authentication
    • Token
      POST
  • Orders
    • Delivery Details
      GET
    • Deliveries List
      POST
    • Proof of Delivery
      GET
    • Order Details
      GET
    • Order List
      POST
    • Submit Order
      POST
  • Invoices
    • Invoice Details
      GET
    • Invoices List
      POST
    • Invoice Pdf
      GET
  • Products
    • Price
      POST
    • UOM Conversion
      GET
    • Color Recommendations
      POST
    • Catalog Item Convert
      POST
    • Catalog
      GET
    • By Item Codes
      POST
  • Customers
    • Customer Details
      GET
    • Validate Customer
      GET
    • Order Templates
      GET
  • Branches
    • Branch Locations
      GET
    • Active Branch Products
      GET
    • Customer Branch Locations
      GET
  • Deliveries
    • Coordinates
      GET
  1. Products

UOM Conversion

GET
/products/UOMConversion/{itemCode}
The UOM Conversion API retrieves unit-of-measure conversion details for a specific product identified by its itemCode. It returns conversion factors and related information to help translate items between different units of measure.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://services-qa.roofhub.pro/products/UOMConversion/TARMS300' \
--header 'Authorization: Bearer'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "itemConversionList": [
    {
      "fromUOMCode": "RL",
      "toUOMCode": "RL",
      "conversionFactor": 1,
      "UOMConversionDescription": "1 RL IN 1 RL",
      "itemCode": "TARMS300",
      "itemDescription": "TARCO MS300 LEAKBARRIER ICE & WATER",
      "itemSize": "*** USE TARMS300UB"
    },
    {
      "fromUOMCode": "PAL",
      "toUOMCode": "RL",
      "conversionFactor": 0.02,
      "UOMConversionDescription": "50 RL IN 1 PAL",
      "itemCode": "TARMS300",
      "itemDescription": "TARCO MS300 LEAKBARRIER ICE & WATER",
      "itemSize": "*** USE TARMS300UB"
    },
    {
      "fromUOMCode": "FT",
      "toUOMCode": "RL",
      "conversionFactor": 66,
      "UOMConversionDescription": "66 LF IN 1 RL",
      "itemCode": "TARMS300",
      "itemDescription": "TARCO MS300 LEAKBARRIER ICE & WATER",
      "itemSize": "*** USE TARMS300UB"
    }
  ]
}
Modified at 2026-04-06 20:00:55
Previous
Price
Next
Color Recommendations
Built with